| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PanelOverlayElementFactory Class Reference
Optional Components » Overlay

Factory for creating PanelOverlayElement instances. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::PanelOverlayElementFactory:
[legend]

## Public Member Functions
OverlayElement * | createOverlayElement (const String &instanceName)
| See OverlayElementFactory. More...
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously. More...
virtual const String & | getTypeName (void) const
| See OverlayElementFactory. More...

## Detailed Description

Factory for creating PanelOverlayElement instances.

## Member Function Documentation

## ◆ createOverlayElement()

OverlayElement* Ogre::PanelOverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) |
| inline virtual

See OverlayElementFactory.

Implements Ogre::OverlayElementFactory.

References OGRE_NEW.

## ◆ getTypeName()

virtual const String& Ogre::PanelOverlayElementFactory::getTypeName | ( | void |  | ) | const
| virtual

See OverlayElementFactory.

Implements Ogre::OverlayElementFactory.

## ◆ destroyOverlayElement()

virtual void Ogre::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) |
| inline virtual inherited

Destroys a OverlayElement which this factory created previously.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h